# timebasedrollingpolicy.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::rolling

## Classes

class | TimeBasedRollingPolicy
| `TimeBasedRollingPolicy` is both easy to configure and quite powerful. More...

## Defines

#define | _LOG4CXX_ROLLING_TIME_BASED_ROLLING_POLICY_H

## Functions

| log4cxx::rolling::LOG4CXX_PTR_DEF (TimeBasedRollingPolicy)

## Define Documentation

#define _LOG4CXX_ROLLING_TIME_BASED_ROLLING_POLICY_H